#include "io430.h"
#include <stdbool.h>

// Datenstruktur

struct Buch
{
  char Autor[32];
  char Titel[32];
  char ISBN13[13+4+1]; // z.B. 978-0-321-75104-1
  int Jahr;
  int Seitenzahl;
};
typedef struct Buch Buch;

// teste Buch auf unverdchtige ISBN
bool testeISBN(Buch b)
{
  int summe = 0;
  bool malEinsNehmen = true;
  for(int i = 0; i < 13+4; i++)
  {
    char c = b.ISBN13[i];
    if(c >= '0' && c <= '9')
    {
      int z = c -'0'; // Zahlen von 0 bis 9
      if(malEinsNehmen)
      {
        summe += z;
      }
      else
      {
        summe += 3*z;
      }
      malEinsNehmen = !malEinsNehmen;
    }
    else if(c != '-')
    {
      return false;
    }
  }
  return summe % 10 == 0;
}

int main( void )
{
  int a = 42;
  // ISBN fehlerhaft!
  Buch b = {"Knuth", "The Art of Computer Programming", "978-0-321-75104-0", 2011, 672};
  int c[] = {1, 2, 3, 4};
  Buch d[13] = {
    {"Knuth", "The Art of Computer Programming", "978-0-321-75104-1", 2011, 672},
    {"Kernighan", "The C Programming Language", "978-81-203-0596-0", 2009, 274}
             };
  
  char e = b.Autor[4]; // 'h'
  b.Autor[4] = 'x';
  
  // Summe der Seiten:
  int summeDerSeiten = 0;
  for(int i = 0; i < 2; i++)
  {
    summeDerSeiten += d[i].Seitenzahl;
    //char f = d[i].Autor[3];
  }
  
  bool g = testeISBN(d[0]);
  g = testeISBN(d[1]);
  g = testeISBN(b);
  
  return 0;
}
